package com.ejie.ab79.model.preguntasRespuestas;

import java.util.List;

/**
 * OpcionesPrePro  
 *  
 */

public class ListaPreguntasRespuestas  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private List<PreguntasRespuestasProtocolo> preguntasRespuestasProtocolo;
            private List<PreguntasRespuestasExpediente> preguntasRespuestasExpediente;
            private List<PreguntasRespuestasExpediente> preguntasRespuestasValidar;

	/** 
	 * Method 'ListaPreguntasRespuestasExpPro'.
	 */
    public ListaPreguntasRespuestas() {
    }
   

   /**
    * Method 'ListaPreguntasRespuestasExpPro'.
    * @param preguntasRespuestasProtocolo
    */
   public ListaPreguntasRespuestas(List<PreguntasRespuestasProtocolo> preguntasRespuestasProtocolo) {	
	   this.preguntasRespuestasProtocolo = preguntasRespuestasProtocolo;
          
    }

   	/**
	 * Method 'getPreguntasRespuestasProtocolo'.
	 *
	 * @return List<PreguntasRespuestasProtocolo>
	 */

	public List<PreguntasRespuestasProtocolo> getPreguntasRespuestasProtocolo() {
	return preguntasRespuestasProtocolo;
	}
	
	/**
	 * Method 'setPreguntasRespuestasProtocolo'.
	 *
	 * @param preguntasRespuestasProtocolo List<PreguntasRespuestasProtocolo>
	 * @return
     */
	
	public void setPreguntasRespuestasProtocolo(List<PreguntasRespuestasProtocolo> preguntasRespuestasProtocolo) {
		this.preguntasRespuestasProtocolo = preguntasRespuestasProtocolo;
	}

	/**
	 * Method 'getPreguntasRespuestasExpediente'.
	 *
	 * @return List<PreguntasRespuestasExpediente>
	 */

	public List<PreguntasRespuestasExpediente> getPreguntasRespuestasExpediente() {
		return preguntasRespuestasExpediente;
	}

	/**
	 * Method 'setPreguntasRespuestasExpediente'.
	 *
	 * @param preguntasRespuestasExpediente List<PreguntasRespuestasExpediente>
	 * @return
     */

	public void setPreguntasRespuestasExpediente(List<PreguntasRespuestasExpediente> preguntasRespuestasExpediente) {
		this.preguntasRespuestasExpediente = preguntasRespuestasExpediente;
	}

	/**
	 * Method 'getPreguntasRespuestasValidar'
	 * 
	 * @return List<PreguntasRespuestasExpediente>
	 */
	
	public List<PreguntasRespuestasExpediente> getPreguntasRespuestasValidar() {
		return preguntasRespuestasValidar;
	}

	/**
	 * Method 'setPreguntasRespuestasValidar'
	 * 
	 * @param preguntasRespuestasValidar List<PreguntasRespuestasExpediente>
	 * @return
	 */

	public void setPreguntasRespuestasValidar(List<PreguntasRespuestasExpediente> preguntasRespuestasValidar) {
		this.preguntasRespuestasValidar = preguntasRespuestasValidar;
	}


	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ preguntasRespuestasProtocolo: ").append(this.preguntasRespuestasProtocolo).append(" ]");
		result.append(" [ preguntasRespuestasExpediente: ").append(this.preguntasRespuestasExpediente).append(" ]");
		result.append(" [ preguntasRespuestasValidar: ").append(this.preguntasRespuestasValidar).append(" ]");
		result.append("}");
		return result.toString();
	}


}

